Aller au contenu

The zone's dictionary

GET/api/public/v1/zones/{zone_id}/dictionary beta

Every table of the zone's chain, root first, each with its origin zone, case_sensitive, in_use and its values with their origin zone. Inherited tables and values cannot be changed from here.

Fenêtre de terminal
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Rôle dans l’organisationCe point de terminaison
ownerAutorisé
adminAutorisé
editorAutorisé
viewerAutorisé

Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.

Portée de clé d’API : zones:read

ParamètreTypeDescription
zone_idstring (uuid)Obligatoire.
ChampTypeDescription
dataobjectObligatoire.
data.tablesarray of objectObligatoire.
data.tables[].case_sensitivebooleanObligatoire.
data.tables[].in_usebooleanObligatoire. True when deleting the table would answer DICTIONARY_TABLE_IN_USE.
data.tables[].kindsarray of objectObligatoire.
data.tables[].namestringObligatoire.
data.tables[].observationstringObligatoire.
data.tables[].origin_zone_idstringObligatoire.
data.tables[].questionobject or null
data.tables[].valuesarray of objectObligatoire.
{
"data": {
"tables": [
{
"case_sensitive": false,
"in_use": false,
"kinds": [
"string"
],
"name": "release-bot",
"observation": "string",
"origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"question": "string",
"values": [
{
"origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"value": "string"
}
]
}
]
}
}